## Apache Zeta Components Manual :: Docs For Class ezcExecutionErrorHandler

### Execution::ezcExecutionErrorHandler

### Interface ezcExecutionErrorHandler

Interface for Execution callback handlers.

This interface describes the methods that an Execution callback handler should implement.

Source for this file: /Execution/src/interfaces/execution_handler.php

Version: | //autogentag// For an example see ezcExecution.

### Method Summary

public static void | `onError( [ $e = null] )` Processes an error situation

### Methods

#### onError

static void onError( [ $e = null] )

Processes an error situation

This method is called by the ezcExecution environment whenever an error situation (uncaught exception or fatal error) happens. It accepts one default parameter in case there was an uncaught exception.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$e` | Exception |

Documentation generated by phpDocumentor 1.4.3